/*
* Skeleton V1.1
* Copyright 2011, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 8/17/2011
*/

/*
 
Grid 1200px
Nicolas Poliquin
polikin.ca
 
*/

/* Table of Contents
==================================================
    #Base 960 Grid
    #Tablet (Portrait)
    #Mobile (Portrait)
    #Mobile (Landscape)
    #Clearing */

.columns,
.column {
    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -ms-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
}

/* #Base 1200 Grid
================================================== */

.container {
    position: relative;
    width: 1200px;
    margin: 0 auto;
    padding: 0;
}

.container .column,
.container .columns {
    float: left;
    display: inline;
    margin-left: 10px;
    margin-right: 10px;
}

.row {
    margin-bottom: 20px;
}

/* Nested Column Classes */
.column.alpha, .columns.alpha {
    margin-left: 0;
}

.column.omega, .columns.omega {
    margin-right: 0;
}

/* Base Grid */

.container .one.column,
.container .one.columns {
    width: 55px;
}

.container .two.columns {
    width: 120px;
}

.container .three.columns {
    width: 205px;
}

.container .four.columns {
    width: 280px;
}

.container .five.columns {
    width: 355px;
}

.container .six.columns {
    width: 430px;
}

.container .seven.columns {
    width: 505px;
}

.container .eight.columns {
    width: 580px;
}

.container .nine.columns {
    width: 655px;
}

.container .ten.columns {
    width: 730px;
}

.container .eleven.columns {
    width: 805px;
}

.container .twelve.columns {
    width: 880px;
}

.container .thirteen.columns {
    width: 955px;
}

.container .fourteen.columns {
    width: 1030px;
}

.container .fifteen.columns {
    width: 1105px;
}

.container .sixteen.columns {
    width: 1180px;
}

.container .one-third.columns {
    width: 380px;
}

.container .two-thirds.columns {
    width: 780px;
}

.container .one-fifth.columns {
    width: 220px;
}

/* With Sidebar */

.container.with-sidebar .four.columns {
    width: 273px;
}

.container.with-sidebar .six.columns {
    width: 312px;
}

.container.with-sidebar .seven.columns {
    width: 369.5px;
}

.container.with-sidebar .eight.columns {
    width: 433px;
}

.container.with-sidebar .ten.columns {
    width: 542px;
}

.container.with-sidebar .eleven.columns {
    width: 612.5px;
}

.container.with-sidebar .twelve.columns {
    width: 670px;
}

.container.with-sidebar .sixteen.columns {
    width: 887px;
}

.container.with-sidebar .one-half.columns {
    width: 392.5px;
}

.container.with-sidebar .one-third.columns {
    width: 282px;
}

.container.with-sidebar .one-fourth.columns {
    width: 206.25px;
}

.container.with-sidebar .two-fourths.columns {
    width: 392.5px;
}

.container.with-sidebar .three-fourths.columns {
    width: 598.75px;
}

.container.with-sidebar .two-thirds.columns {
    width: 530px;
}

/* No Margin */
.container.no-margin {
    position: relative;
    width: 100%;
    margin: 0px auto;
    padding: 0px;
}

.container.no-margin .eight {
    position: relative;
    width: 50%;
    margin: 0px auto;
    padding: 0px;
}

/* Container no Margin */
.container.container-margin {
    margin: 0 !important;
    width: 100% !important;
}

.container.container-margin.no-padding .columns {
    margin: 0;
    padding: 0;
}

.container.container-margin .columns {
    margin: 0;
    padding: 5%;
}

.container.container-margin.no-container-padding .columns {
    margin: 0px;
    padding: 2%;
}

.container.container-margin .four.columns {
    width: 25%;
    position: relative;
}

.container.container-margin .three.columns {
    width: 33.33%;
    position: relative;
}

.container.container-margin .eight.columns {
    width: 50%;
    position: relative;
}

/* Offsets */
.container .offset-by-one {
    padding-left: 75px;
}

.container .offset-by-two {
    padding-left: 140px;
}

.container .offset-by-three {
    padding-left: 225px;
}

.container .offset-by-four {
    padding-left: 300px;
}

.container .offset-by-five {
    padding-left: 375px;
}

.container .offset-by-six {
    padding-left: 430px;
}

.container .offset-by-seven {
    padding-left: 525px;
}

.container .offset-by-eight {
    padding-left: 600px;
}

.container .offset-by-nine {
    padding-left: 675px;
}

.container .offset-by-ten {
    padding-left: 750px;
}

.container .offset-by-eleven {
    padding-left: 825px;
}

.container .offset-by-twelve {
    padding-left: 900px;
}

.container .offset-by-thirteen {
    padding-left: 975px;
}

.container .offset-by-fourteen {
    padding-left: 1050px;
}

.container .offset-by-fifteen {
    padding-left: 1125px;
}

/* #Tablet (Portrait)
================================================== */

/* Note: Design for a width of 768px */

@media only screen and (min-width: 768px) and (max-width: 959px) {
    .container {
        width: 768px;
    }

    .container .one.column,
    .container .one.columns {
        width: 28px;
    }

    .container .two.columns {
        width: 76px;
    }

    .container .three.columns {
        width: 124px;
    }

    .container .four.columns {
        width: 172px;
    }

    .container .five.columns {
        width: 220px;
    }

    .container .six.columns {
        width: 268px;
    }

    .container .seven.columns {
        width: 316px;
    }

    .container .eight.columns {
        width: 364px;
    }

    .container .nine.columns {
        width: 412px;
    }

    .container .ten.columns {
        width: 460px;
    }

    .container .eleven.columns {
        width: 508px;
    }

    .container .twelve.columns {
        width: 556px;
    }

    .container .thirteen.columns {
        width: 604px;
    }

    .container .fourteen.columns {
        width: 652px;
    }

    .container .fifteen.columns {
        width: 700px;
    }

    .container .sixteen.columns {
        width: 748px;
    }

    .container .one-third.columns {
        width: 236px;
    }

    .container .two-thirds.columns {
        width: 492px;
    }

    .container .one-fifth.columns {
        width: 133.6px;
    }

    /* Offsets */
    .container .offset-by-one {
        padding-left: 48px;
    }

    .container .offset-by-two {
        padding-left: 96px;
    }

    .container .offset-by-three {
        padding-left: 144px;
    }

    .container .offset-by-four {
        padding-left: 192px;
    }

    .container .offset-by-five {
        padding-left: 240px;
    }

    .container .offset-by-six {
        padding-left: 288px;
    }

    .container .offset-by-seven {
        padding-left: 336px;
    }

    .container .offset-by-eight {
        padding-left: 384px;
    }

    .container .offset-by-nine {
        padding-left: 432px;
    }

    .container .offset-by-ten {
        padding-left: 480px;
    }

    .container .offset-by-eleven {
        padding-left: 528px;
    }

    .container .offset-by-twelve {
        padding-left: 576px;
    }

    .container .offset-by-thirteen {
        padding-left: 624px;
    }

    .container .offset-by-fourteen {
        padding-left: 672px;
    }

    .container .offset-by-fifteen {
        padding-left: 720px;
    }
}

/* Note: Design for a width 1024 Desktop
================================================== */

@media only screen and (min-width: 960px) and (max-width: 1199px) {
    /* Base Grid */
    .container {
        width: 960px;
    }

    .container .one.column,
    .container .one.columns {
        width: 40px;
    }

    .container .two.columns {
        width: 100px;
    }

    .container .three.columns {
        width: 160px;
    }

    .container .four.columns {
        width: 220px;
    }

    .container .five.columns {
        width: 280px;
    }

    .container .six.columns {
        width: 340px;
    }

    .container .seven.columns {
        width: 400px;
    }

    .container .eight.columns {
        width: 460px;
    }

    .container .nine.columns {
        width: 520px;
    }

    .container .ten.columns {
        width: 580px;
    }

    .container .eleven.columns {
        width: 640px;
    }

    .container .twelve.columns {
        width: 700px;
    }

    .container .thirteen.columns {
        width: 760px;
    }

    .container .fourteen.columns {
        width: 820px;
    }

    .container .fifteen.columns {
        width: 880px;
    }

    .container .sixteen.columns {
        width: 940px;
    }

    .container .one-third.columns {
        width: 300px;
    }

    .container .two-thirds.columns {
        width: 620px;
    }

    .container .one-fifth.columns {
        width: 172px;
    }

    /* With Sidebar */
    .container.with-sidebar .four.columns {
        width: 145px;
    }

    .container.with-sidebar .six.columns {
        width: 300px;
    }

    .container.with-sidebar .seven.columns {
        width: 360px;
    }

    .container.with-sidebar .eight.columns {
        width: 310px;
    }

    .container.with-sidebar .ten.columns {
        width: 350px;
    }

    .container.with-sidebar .eleven.columns {
        width: 660px;
    }

    .container.with-sidebar .twelve.columns {
        width: 475px;
    }

    .container.with-sidebar .sixteen.columns {
        width: 640px;
    }

    .container.with-sidebar .one-half.columns {
        width: 310px;
    }

    .container.with-sidebar .one-third.columns {
        width: 200px;
    }

    .container.with-sidebar .one-fourth.columns {
        width: 145px;
    }

    .container.with-sidebar .two-fourths.columns {
        width: 290px;
    }

    .container.with-sidebar .three-fourths.columns {
        width: 435px;
    }

    .container.with-sidebar .two-thirds.columns {
        width: 420px;
    }

    /* Offsets */
    .container .offset-by-one {
        padding-left: 60px;
    }

    .container .offset-by-two {
        padding-left: 120px;
    }

    .container .offset-by-three {
        padding-left: 180px;
    }

    .container .offset-by-four {
        padding-left: 240px;
    }

    .container .offset-by-five {
        padding-left: 300px;
    }

    .container .offset-by-six {
        padding-left: 360px;
    }

    .container .offset-by-seven {
        padding-left: 420px;
    }

    .container .offset-by-eight {
        padding-left: 480px;
    }

    .container .offset-by-nine {
        padding-left: 540px;
    }

    .container .offset-by-ten {
        padding-left: 600px;
    }

    .container .offset-by-eleven {
        padding-left: 660px;
    }

    .container .offset-by-twelve {
        padding-left: 720px;
    }

    .container .offset-by-thirteen {
        padding-left: 780px;
    }

    .container .offset-by-fourteen {
        padding-left: 840px;
    }

    .container .offset-by-fifteen {
        padding-left: 900px;
    }
}

/*  #Mobile (Portrait)
================================================== */

/* Note: Design for a width of 320px */

@media only screen and (max-width: 767px) {
    .container {
        width: 300px;
    }

    .container .columns,
    .container .column {
        margin: 0;
    }

    .container .one.column,
    .container .one.columns,
    .container .two.columns,
    .container .three.columns,
    .container .four.columns,
    .container .five.columns,
    .container .six.columns,
    .container .seven.columns,
    .container .eight.columns,
    .container .nine.columns,
    .container .ten.columns,
    .container .eleven.columns,
    .container .twelve.columns,
    .container .thirteen.columns,
    .container .fourteen.columns,
    .container .fifteen.columns,
    .container .sixteen.columns,
    .container .one-fifth.columns,
    .container .one-third.columns,
    .container .two-thirds.columns {
        width: 300px;
    }

    /* With Sidebar */
    .container.with-sidebar .four.columns,
    .container.with-sidebar .eight.columns,
    .container.with-sidebar .ten.columns,
    .container.with-sidebar .eleven.columns,
    .container.with-sidebar .twelve.columns,
    .container.with-sidebar .sixteen.columns,
    .container.with-sidebar .one-half.columns,
    .container.with-sidebar .one-third.columns,
    .container.with-sidebar .one-fourth.columns,
    .container.with-sidebar .two-thirds.columns {
        width: 300px;
    }

    /* Offsets */
    .container .offset-by-one,
    .container .offset-by-two,
    .container .offset-by-three,
    .container .offset-by-four,
    .container .offset-by-five,
    .container .offset-by-six,
    .container .offset-by-seven,
    .container .offset-by-eight,
    .container .offset-by-nine,
    .container .offset-by-ten,
    .container .offset-by-eleven,
    .container .offset-by-twelve,
    .container .offset-by-thirteen,
    .container .offset-by-fourteen,
    .container .offset-by-fifteen {
        padding-left: 0;
    }

}

/* #Mobile (Landscape)
================================================== */

/* Note: Design for a width of 480px */

@media only screen and (min-width: 480px) and (max-width: 767px) {
    .container {
        width: 420px;
    }

    .container .columns,
    .container .column {
        margin: 0;
    }

    .container .one.column,
    .container .one.columns,
    .container .two.columns,
    .container .three.columns,
    .container .four.columns,
    .container .five.columns,
    .container .six.columns,
    .container .seven.columns,
    .container .eight.columns,
    .container .nine.columns,
    .container .ten.columns,
    .container .eleven.columns,
    .container .twelve.columns,
    .container .thirteen.columns,
    .container .fourteen.columns,
    .container .fifteen.columns,
    .container .sixteen.columns,
    .container .one-fifth.columns,
    .container .one-third.columns,
    .container .two-thirds.columns {
        width: 420px;
    }

    /* With Sidebar */
    .container.with-sidebar .four.columns,
    .container.with-sidebar .eight.columns,
    .container.with-sidebar .twelve.columns,
    .container.with-sidebar .eleven.columns,
    .container.with-sidebar .sixteen.columns,
    .container.with-sidebar .one-half.columns,
    .container.with-sidebar .one-third.columns,
    .container.with-sidebar .one-fourth.columns,
    .container.with-sidebar .two-thirds.columns {
        width: 420px;
    }
}

/* #Clearing
================================================== */

/* Self Clearing Goodness */
.container:after {
    content: "\0020";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}

/* Use clearfix class on parent to clear nested columns,
or wrap each row of columns in a <div class="row"> */
.clearfix:before,
.clearfix:after,
.row:before,
.row:after {
    content: '\0020';
    display: block;
    overflow: hidden;
    visibility: hidden;
    width: 0;
    height: 0;
}

.row:after,
.clearfix:after {
    clear: both;
}

.row,
.clearfix {
    zoom: 1;
}

/* You can also use a <br class="clear" /> to clear columns */
.clear {
    clear: both;
    display: block;
    overflow: hidden;
    visibility: hidden;
    width: 0;
    height: 0;
}